Anonymous Login
2019-02-21 12:11 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001275v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportercarlosazevedo 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001275: FIX: When a subfolder is clicked on 'Folder Explorer' it switches to the 'Application' tab
DescriptionThis is due to a decrement that is done on the $tab variable. The fix involves these changes in the file 'cleanup_functions.php' in 'includes'. Two of the changes are cummulative with a previous fix posted by me.

- $tab = ($m == 'files') ? $tab-1 : -1;
+ $temp_tab = ($m == 'files') ? $tab - 1 : -1;
- if (($tab >= 0) and ((count($file_types) - 1) > $tab)) {
+ if (($temp_tab >= 0) and ((count($file_types) - 1) > $temp_tab)) {
- $q->addWhere('file_category = ' . (int)$tab);
+ $q->addWhere('file_category = ' . (int)$temp_tab);
    }

- if (($tab >= 0) and ((count($file_types) - 1) > $tab)) {
+ if (($temp_tab >= 0) and ((count($file_types) - 1) > $temp_tab)) {
- $qv->addWhere('file_category = ' . (int)$tab);
+ $qv->addWhere('file_category = ' . (int)$temp_tab);
    }
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2013-03-04 07:51 carlosazevedo New Issue
2013-03-04 22:51 caseydk Note Added: 0002839
2013-03-04 22:51 caseydk Status new => resolved
2013-03-04 22:51 caseydk Resolution open => fixed
2013-03-04 22:51 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History